package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.storage.StorageDiskModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface DiskProvider extends SuperProvider {
    default public BocloudResult list() {
        return new BocloudResult(false, "need implemented");
    }

    ;

    public BocloudResult listByStorage(String storageUuid);

    public BocloudResult listByMdisk(String mdiskUuid);

    public BocloudResult modify(StorageDiskModel model);
}
